## org.eclipse.wst.validation
Class DependentResource

    java.lang.Object
      org.eclipse.wst.validation.DependentResource

    public class DependentResource

extends java.lang.Object

A resource that is dependent on another resource.

This is returned by the IDependencyIndex.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

See Also:
  `IDependencyIndex`

Constructor Summary
`DependentResource(IResource resource, Validator validator)`

Method Summary
`IResource` `getResource()` Answer the resource that is depended on.
`Validator` `getValidator()` Answer the validator that asserted the dependency.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependentResource

    public DependentResource(IResource resource,
                             Validator validator)

Method Detail

### getResource

    public IResource getResource()

  Answer the resource that is depended on.

### getValidator

    public Validator getValidator()

  Answer the validator that asserted the dependency.